Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMPlotOptions.JSMSeries.JSMMarker.JSMStates.JSMHover

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMPlotOptions.JSMSeries.JSMMarker.JSMStates.JSMHover

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, PlotOptions.Series.Marker.States.Hover

Enclosing class:
  JSMPlotOptions.JSMSeries.JSMMarker.JSMStates

    public static class JSMPlotOptions.JSMSeries.JSMMarker.JSMStates.JSMHover

extends JSMBaseObject
implements PlotOptions.Series.Marker.States.Hover

Field Summary
`boolean` | `enabled`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMPlotOptions.JSMSeries.JSMMarker.JSMStates.JSMHover()`

Method Summary
`boolean` | `isEnabled()`
`PlotOptions.Series.Marker.States.Hover` | `setEnabled(boolean enabled)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enabled

    public boolean enabled

Constructor Detail

### JSMPlotOptions.JSMSeries.JSMMarker.JSMStates.JSMHover

    public JSMPlotOptions.JSMSeries.JSMMarker.JSMStates.JSMHover()

Method Detail

### setEnabled

    public PlotOptions.Series.Marker.States.Hover setEnabled(boolean enabled)

  Specified by:
    `setEnabled` in interface `PlotOptions.Series.Marker.States.Hover`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `PlotOptions.Series.Marker.States.Hover`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD